> For the complete documentation index, see [llms.txt](https://docs.swingsoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swingsoftware.com/integrator-for-notes/how-to/how-to-transfer-lotus-notes-data-to-a-ms-word-header-or-footer.md).

# How to transfer Lotus Notes data to a MS Word header or footer

**Description**

It's not possible to add a form field to a header or footer in Word.

**Solution**

In order to map a Notes field into a header or footer, you will have to use bookmarks. Here is the procedure:

Open Word document and set the cursor in the header (or footer) of the document.

[![](https://sites.google.com/a/swingsoftware.com/lc/_/rsrc/1334219090293/integrator/how-to-1/how-to-transfer-lotus-notes-data-to-a-ms-word-header-or-footer/map_header_footer_1.jpg)](https://sites.google.com/a/swingsoftware.com/lc/integrator/how-to-1/how-to-transfer-lotus-notes-data-to-a-ms-word-header-or-footer/map_header_footer_1.jpg?attredirects=0)

Go to the Insert - Bookmark, enter the name of the bookmark and press "Add".

[![](https://sites.google.com/a/swingsoftware.com/lc/_/rsrc/1334219090293/integrator/how-to-1/how-to-transfer-lotus-notes-data-to-a-ms-word-header-or-footer/map_header_footer_2.jpg)](https://sites.google.com/a/swingsoftware.com/lc/integrator/how-to-1/how-to-transfer-lotus-notes-data-to-a-ms-word-header-or-footer/map_header_footer_2.jpg?attredirects=0)

The bookmark will be created, although you might not be able to see it (in order to see all the bookmarks, you should enable the bookmarks view: Tools->Options...->View tab->Show section->Bookmarks checkbox).

Once you have created a Word template, you can proceed with field mappings. Bookmarks are generally mapped with the following syntax:

Notice that you can have more than one bookmark defined on your Word template.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.swingsoftware.com/integrator-for-notes/how-to/how-to-transfer-lotus-notes-data-to-a-ms-word-header-or-footer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
